javax.xml.rpc.handler

## Interface MessageContext

- All Known Subinterfaces:
    SOAPMessageContext

      public interface MessageContext

  The interface `MessageContext` abstracts the message context that is processed by a handler in the `handle` method.

  The `MessageContext` interface provides methods to manage a property set. `MessageContext` properties enable handlers in a handler chain to share processing related state.

  Version:
    1.1
  Author:
    Rahul Sharma, Roberto Chinnici
  See Also:
    `Handler`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsProperty(String name)` Returns true if the `MessageContext` contains a property with the specified name.
    `Object` | `getProperty(String name)` Gets the value of a specific property from the `MessageContext`
    `Iterator` | `getPropertyNames()` Returns an Iterator view of the names of the properties in this `MessageContext`
    `void` | `removeProperty(String name)` Removes a property (name-value pair) from the `MessageContext`
    `void` | `setProperty(String name, Object value)` Sets the name and value of a property associated with the `MessageContext`.

- - ### Method Detail

    - #### setProperty

          void setProperty(String name,
                         Object value)

      Sets the name and value of a property associated with the `MessageContext`. If the `MessageContext` contains a value of the same property, the old value is replaced.
      Parameters:
        `name` - Name of the property associated with the `MessageContext`
        `value` - Value of the property
      Throws:
        `IllegalArgumentException` - If some aspect of the property is prevents it from being stored in the context
        `UnsupportedOperationException` - If this method is not supported.

    - #### getProperty

          Object getProperty(String name)

      Gets the value of a specific property from the `MessageContext`
      Parameters:
        `name` - Name of the property whose value is to be retrieved
      Returns:
        Value of the property
      Throws:
        `IllegalArgumentException` - if an illegal property name is specified

    - #### removeProperty

          void removeProperty(String name)

      Removes a property (name-value pair) from the `MessageContext`
      Parameters:
        `name` - Name of the property to be removed
      Throws:
        `IllegalArgumentException` - if an illegal property name is specified

    - #### containsProperty

          boolean containsProperty(String name)

      Returns true if the `MessageContext` contains a property with the specified name.
      Parameters:
        `name` - Name of the property whose presense is to be tested
      Returns:
        Returns true if the MessageContext contains the property; otherwise false

    - #### getPropertyNames

          Iterator getPropertyNames()

      Returns an Iterator view of the names of the properties in this `MessageContext`
      Returns:
        Iterator for the property names

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.